DirectoryTransferHandler (Document Site Generator 2.0.1 API)
Date: 2007-09-17

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.docsite.ui
Class DirectoryTransferHandler

    java.lang.Object
      javax.swing.TransferHandler
          local.tomas.docsite.ui.AbstractFileTransferHandler
              local.tomas.docsite.ui.DirectoryTransferHandler

All Implemented Interfaces:
  java.io.Serializable

    public class DirectoryTransferHandler

extends AbstractFileTransferHandler

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.TransferHandler
`javax.swing.TransferHandler.DropLocation, javax.swing.TransferHandler.TransferSupport`

Field Summary

Fields inherited from class javax.swing.TransferHandler
`COPY, COPY_OR_MOVE, LINK, MOVE, NONE`

Constructor Summary
`DirectoryTransferHandler(Main main)`

Method Summary
`protected boolean` | `canImport(java.io.File file)`

Methods inherited from class local.tomas.docsite.ui.AbstractFileTransferHandler
`canImport, importData`

Methods inherited from class javax.swing.TransferHandler
`canImport, createTransferable, exportAsDrag, exportDone, exportToClipboard, getCopyAction, getCutAction, getPasteAction, getSourceActions, getVisualRepresentation, importData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryTransferHandler

    public DirectoryTransferHandler(Main main)

Method Detail

### canImport

    protected boolean canImport(java.io.File file)

  Specified by:
    `canImport` in class `AbstractFileTransferHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Tomas Teubner. All Rights Reserved.